<?xml version="1.0" encoding="UTF-8"?>

<!--Created with NTC ESEF v26.3.31.0 by NTC Kft.-->
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/instance http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
<link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel" xlink:type="simple"/>
<link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
<link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
<link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
<link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
<link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
<link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_BefektetesiCeluIngatlanokBeszerzeseBefektetesiTevekenysegkentBesorolva" xlink:label="BefektetesiCeluIngatlanokBeszerzeseBefektetesiTevekenysegkentBesorolva" xlink:title="BefektetesiCeluIngatlanokBeszerzeseBefektetesiTevekenysegkentBesorolva"/>
<link:label xlink:type="resource" xlink:label="label_BefektetesiCeluIngatlanokBeszerzeseBefektetesiTevekenysegkentBesorolva" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_BefektetesiCeluIngatlanokBeszerzeseBefektetesiTevekenysegkentBesorolva" xml:lang="en" id="BefektetesiCeluIngatlanokBeszerzeseBefektetesiTevekenysegkentBesorolva_label_en">Befektetési célú ingatlanok beszerzése, befektetési tevékenységként besorolva</link:label>
<link:label xlink:type="resource" xlink:label="documentation_BefektetesiCeluIngatlanokBeszerzeseBefektetesiTevekenysegkentBesorolva" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_BefektetesiCeluIngatlanokBeszerzeseBefektetesiTevekenysegkentBesorolva" xml:lang="en" id="BefektetesiCeluIngatlanokBeszerzeseBefektetesiTevekenysegkentBesorolva_documentation_en">Befektetési célú ingatlanok beszerzése, befektetési tevékenységként besorolva</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BefektetesiCeluIngatlanokBeszerzeseBefektetesiTevekenysegkentBesorolva" xlink:to="label_BefektetesiCeluIngatlanokBeszerzeseBefektetesiTevekenysegkentBesorolva" xlink:title="label: BefektetesiCeluIngatlanokBeszerzeseBefektetesiTevekenysegkentBesorolva to label_BefektetesiCeluIngatlanokBeszerzeseBefektetesiTevekenysegkentBesorolva"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="BefektetesiCeluIngatlanokBeszerzeseBefektetesiTevekenysegkentBesorolva" xlink:to="documentation_BefektetesiCeluIngatlanokBeszerzeseBefektetesiTevekenysegkentBesorolva" xlink:title="label: BefektetesiCeluIngatlanokBeszerzeseBefektetesiTevekenysegkentBesorolva to documentation_BefektetesiCeluIngatlanokBeszerzeseBefektetesiTevekenysegkentBesorolva"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_SajatReszvenyekMegszerzeseBefektetesiTevekenysegkentBesorolva" xlink:label="SajatReszvenyekMegszerzeseBefektetesiTevekenysegkentBesorolva" xlink:title="SajatReszvenyekMegszerzeseBefektetesiTevekenysegkentBesorolva"/>
<link:label xlink:type="resource" xlink:label="label_SajatReszvenyekMegszerzeseBefektetesiTevekenysegkentBesorolva" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_SajatReszvenyekMegszerzeseBefektetesiTevekenysegkentBesorolva" xml:lang="en" id="SajatReszvenyekMegszerzeseBefektetesiTevekenysegkentBesorolva_label_en">Saját részvények megszerzése, befektetési tevékenységként besorolva</link:label>
<link:label xlink:type="resource" xlink:label="documentation_SajatReszvenyekMegszerzeseBefektetesiTevekenysegkentBesorolva" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_SajatReszvenyekMegszerzeseBefektetesiTevekenysegkentBesorolva" xml:lang="en" id="SajatReszvenyekMegszerzeseBefektetesiTevekenysegkentBesorolva_documentation_en">Saját részvények megszerzése, befektetési tevékenységként besorolva</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SajatReszvenyekMegszerzeseBefektetesiTevekenysegkentBesorolva" xlink:to="label_SajatReszvenyekMegszerzeseBefektetesiTevekenysegkentBesorolva" xlink:title="label: SajatReszvenyekMegszerzeseBefektetesiTevekenysegkentBesorolva to label_SajatReszvenyekMegszerzeseBefektetesiTevekenysegkentBesorolva"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SajatReszvenyekMegszerzeseBefektetesiTevekenysegkentBesorolva" xlink:to="documentation_SajatReszvenyekMegszerzeseBefektetesiTevekenysegkentBesorolva" xlink:title="label: SajatReszvenyekMegszerzeseBefektetesiTevekenysegkentBesorolva to documentation_SajatReszvenyekMegszerzeseBefektetesiTevekenysegkentBesorolva"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_VisszavasaroltSajatReszvenyek" xlink:label="VisszavasaroltSajatReszvenyek" xlink:title="VisszavasaroltSajatReszvenyek"/>
<link:label xlink:type="resource" xlink:label="label_VisszavasaroltSajatReszvenyek" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_VisszavasaroltSajatReszvenyek" xml:lang="en" id="VisszavasaroltSajatReszvenyek_label_en">Visszavásárolt saját részvények</link:label>
<link:label xlink:type="resource" xlink:label="documentation_VisszavasaroltSajatReszvenyek" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_VisszavasaroltSajatReszvenyek" xml:lang="en" id="VisszavasaroltSajatReszvenyek_documentation_en">Visszavásárolt saját részvények</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="VisszavasaroltSajatReszvenyek" xlink:to="label_VisszavasaroltSajatReszvenyek" xlink:title="label: VisszavasaroltSajatReszvenyek to label_VisszavasaroltSajatReszvenyek"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="VisszavasaroltSajatReszvenyek" xlink:to="documentation_VisszavasaroltSajatReszvenyek" xlink:title="label: VisszavasaroltSajatReszvenyek to documentation_VisszavasaroltSajatReszvenyek"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndChangeInTheFairValueOfInvestmentPropertyAndBiologicalAssets" xlink:label="DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndChangeInTheFairValueOfInvestmentPropertyAndBiologicalAssets" xlink:title="DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndChangeInTheFairValueOfInvestmentPropertyAndBiologicalAssets"/>
<link:label xlink:type="resource" xlink:label="label_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndChangeInTheFairValueOfInvestmentPropertyAndBiologicalAssets" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndChangeInTheFairValueOfInvestmentPropertyAndBiologicalAssets" xml:lang="en" id="DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndChangeInTheFairValueOfInvestmentPropertyAndBiologicalAssets_label_en">Depreciation, amortisation and impairment loss (reversal of impairment loss) recognised in profit or loss and change in the fair value of investment property and biological assets</link:label>
<link:label xlink:type="resource" xlink:label="documentation_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndChangeInTheFairValueOfInvestmentPropertyAndBiologicalAssets" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndChangeInTheFairValueOfInvestmentPropertyAndBiologicalAssets" xml:lang="en" id="DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndChangeInTheFairValueOfInvestmentPropertyAndBiologicalAssets_documentation_en">Depreciation, amortisation and impairment loss (reversal of impairment loss) recognised in profit or loss and change in the fair value of investment property and biological assets</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndChangeInTheFairValueOfInvestmentPropertyAndBiologicalAssets" xlink:to="label_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndChangeInTheFairValueOfInvestmentPropertyAndBiologicalAssets" xlink:title="label: DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndChangeInTheFairValueOfInvestmentPropertyAndBiologicalAssets to label_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndChangeInTheFairValueOfInvestmentPropertyAndBiologicalAssets"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndChangeInTheFairValueOfInvestmentPropertyAndBiologicalAssets" xlink:to="documentation_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndChangeInTheFairValueOfInvestmentPropertyAndBiologicalAssets" xlink:title="label: DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndChangeInTheFairValueOfInvestmentPropertyAndBiologicalAssets to documentation_DepreciationAmortisationAndImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossAndChangeInTheFairValueOfInvestmentPropertyAndBiologicalAssets"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_ProfitBeforeTaxesInterestAndDepreciationamortization" xlink:label="ProfitBeforeTaxesInterestAndDepreciationamortization" xlink:title="ProfitBeforeTaxesInterestAndDepreciationamortization"/>
<link:label xlink:type="resource" xlink:label="label_ProfitBeforeTaxesInterestAndDepreciationamortization" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ProfitBeforeTaxesInterestAndDepreciationamortization" xml:lang="en" id="ProfitBeforeTaxesInterestAndDepreciationamortization_label_en">Profit before taxes, interest and depreciation/amortization</link:label>
<link:label xlink:type="resource" xlink:label="documentation_ProfitBeforeTaxesInterestAndDepreciationamortization" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_ProfitBeforeTaxesInterestAndDepreciationamortization" xml:lang="en" id="ProfitBeforeTaxesInterestAndDepreciationamortization_documentation_en">Display of profit before tax, interest and depreciation/amortization</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitBeforeTaxesInterestAndDepreciationamortization" xlink:to="label_ProfitBeforeTaxesInterestAndDepreciationamortization" xlink:title="label: ProfitBeforeTaxesInterestAndDepreciationamortization to label_ProfitBeforeTaxesInterestAndDepreciationamortization"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitBeforeTaxesInterestAndDepreciationamortization" xlink:to="documentation_ProfitBeforeTaxesInterestAndDepreciationamortization" xlink:title="label: ProfitBeforeTaxesInterestAndDepreciationamortization to documentation_ProfitBeforeTaxesInterestAndDepreciationamortization"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" xlink:label="TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" xlink:title="TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement"/>
<link:label xlink:type="resource" xlink:label="label_TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" xml:lang="en" id="TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement_label_en">Total items not involving cash flows accounted for in the income statement</link:label>
<link:label xlink:type="resource" xlink:label="documentation_TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" xml:lang="en" id="TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement_documentation_en">Total items not involving cash flows accounted for in the income statement</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" xlink:to="label_TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" xlink:title="label: TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement to label_TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" xlink:to="documentation_TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement" xlink:title="label: TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement to documentation_TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatement"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_AccountingPolicyForNegativeGoodwill" xlink:label="AccountingPolicyForNegativeGoodwill" xlink:title="AccountingPolicyForNegativeGoodwill"/>
<link:label xlink:type="resource" xlink:label="label_AccountingPolicyForNegativeGoodwill" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_AccountingPolicyForNegativeGoodwill" xml:lang="en" id="AccountingPolicyForNegativeGoodwill_label_en">Accounting policy for negative goodwill</link:label>
<link:label xlink:type="resource" xlink:label="documentation_AccountingPolicyForNegativeGoodwill" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_AccountingPolicyForNegativeGoodwill" xml:lang="en" id="AccountingPolicyForNegativeGoodwill_documentation_en">Accounting policy for negative goodwill</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AccountingPolicyForNegativeGoodwill" xlink:to="label_AccountingPolicyForNegativeGoodwill" xlink:title="label: AccountingPolicyForNegativeGoodwill to label_AccountingPolicyForNegativeGoodwill"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AccountingPolicyForNegativeGoodwill" xlink:to="documentation_AccountingPolicyForNegativeGoodwill" xlink:title="label: AccountingPolicyForNegativeGoodwill to documentation_AccountingPolicyForNegativeGoodwill"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_ApplicationOfEbitdaAndItsDefinition" xlink:label="ApplicationOfEbitdaAndItsDefinition" xlink:title="ApplicationOfEbitdaAndItsDefinition"/>
<link:label xlink:type="resource" xlink:label="label_ApplicationOfEbitdaAndItsDefinition" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ApplicationOfEbitdaAndItsDefinition" xml:lang="en" id="ApplicationOfEbitdaAndItsDefinition_label_en">Application of EBITDA and its definition</link:label>
<link:label xlink:type="resource" xlink:label="documentation_ApplicationOfEbitdaAndItsDefinition" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_ApplicationOfEbitdaAndItsDefinition" xml:lang="en" id="ApplicationOfEbitdaAndItsDefinition_documentation_en">Application of EBITDA and its definition</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ApplicationOfEbitdaAndItsDefinition" xlink:to="label_ApplicationOfEbitdaAndItsDefinition" xlink:title="label: ApplicationOfEbitdaAndItsDefinition to label_ApplicationOfEbitdaAndItsDefinition"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ApplicationOfEbitdaAndItsDefinition" xlink:to="documentation_ApplicationOfEbitdaAndItsDefinition" xlink:title="label: ApplicationOfEbitdaAndItsDefinition to documentation_ApplicationOfEbitdaAndItsDefinition"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_DisclosureOfLossOfControl" xlink:label="DisclosureOfLossOfControl" xlink:title="DisclosureOfLossOfControl"/>
<link:label xlink:type="resource" xlink:label="label_DisclosureOfLossOfControl" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_DisclosureOfLossOfControl" xml:lang="en" id="DisclosureOfLossOfControl_label_en">Disclosure of Loss of Control</link:label>
<link:label xlink:type="resource" xlink:label="documentation_DisclosureOfLossOfControl" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_DisclosureOfLossOfControl" xml:lang="en" id="DisclosureOfLossOfControl_documentation_en">Disclosure of Loss of Control</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfLossOfControl" xlink:to="label_DisclosureOfLossOfControl" xlink:title="label: DisclosureOfLossOfControl to label_DisclosureOfLossOfControl"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfLossOfControl" xlink:to="documentation_DisclosureOfLossOfControl" xlink:title="label: DisclosureOfLossOfControl to documentation_DisclosureOfLossOfControl"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_DisclosureOfLiabilitiesArisingFromTheBondIssue" xlink:label="DisclosureOfLiabilitiesArisingFromTheBondIssue" xlink:title="DisclosureOfLiabilitiesArisingFromTheBondIssue"/>
<link:label xlink:type="resource" xlink:label="label_DisclosureOfLiabilitiesArisingFromTheBondIssue" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_DisclosureOfLiabilitiesArisingFromTheBondIssue" xml:lang="en" id="DisclosureOfLiabilitiesArisingFromTheBondIssue_label_en">Disclosure of liabilities arising from the bond issue</link:label>
<link:label xlink:type="resource" xlink:label="documentation_DisclosureOfLiabilitiesArisingFromTheBondIssue" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_DisclosureOfLiabilitiesArisingFromTheBondIssue" xml:lang="en" id="DisclosureOfLiabilitiesArisingFromTheBondIssue_documentation_en">Disclosure of liabilities arising from the bond issue</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfLiabilitiesArisingFromTheBondIssue" xlink:to="label_DisclosureOfLiabilitiesArisingFromTheBondIssue" xlink:title="label: DisclosureOfLiabilitiesArisingFromTheBondIssue to label_DisclosureOfLiabilitiesArisingFromTheBondIssue"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfLiabilitiesArisingFromTheBondIssue" xlink:to="documentation_DisclosureOfLiabilitiesArisingFromTheBondIssue" xlink:title="label: DisclosureOfLiabilitiesArisingFromTheBondIssue to documentation_DisclosureOfLiabilitiesArisingFromTheBondIssue"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_TotalComprehensiveIncomeFromContinuingOperations" xlink:label="TotalComprehensiveIncomeFromContinuingOperations" xlink:title="TotalComprehensiveIncomeFromContinuingOperations"/>
<link:label xlink:type="resource" xlink:label="label_TotalComprehensiveIncomeFromContinuingOperations" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_TotalComprehensiveIncomeFromContinuingOperations" xml:lang="en" id="TotalComprehensiveIncomeFromContinuingOperations_label_en">Total comprehensive income from continuing operations</link:label>
<link:label xlink:type="resource" xlink:label="documentation_TotalComprehensiveIncomeFromContinuingOperations" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_TotalComprehensiveIncomeFromContinuingOperations" xml:lang="en" id="TotalComprehensiveIncomeFromContinuingOperations_documentation_en">Total comprehensive income from continuing operations</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalComprehensiveIncomeFromContinuingOperations" xlink:to="label_TotalComprehensiveIncomeFromContinuingOperations" xlink:title="label: TotalComprehensiveIncomeFromContinuingOperations to label_TotalComprehensiveIncomeFromContinuingOperations"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalComprehensiveIncomeFromContinuingOperations" xlink:to="documentation_TotalComprehensiveIncomeFromContinuingOperations" xlink:title="label: TotalComprehensiveIncomeFromContinuingOperations to documentation_TotalComprehensiveIncomeFromContinuingOperations"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_TotalComprehensiveIncomeFromDiscontinuingOperations" xlink:label="TotalComprehensiveIncomeFromDiscontinuingOperations" xlink:title="TotalComprehensiveIncomeFromDiscontinuingOperations"/>
<link:label xlink:type="resource" xlink:label="label_TotalComprehensiveIncomeFromDiscontinuingOperations" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_TotalComprehensiveIncomeFromDiscontinuingOperations" xml:lang="en" id="TotalComprehensiveIncomeFromDiscontinuingOperations_label_en">Total comprehensive income from discontinuing operations</link:label>
<link:label xlink:type="resource" xlink:label="documentation_TotalComprehensiveIncomeFromDiscontinuingOperations" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_TotalComprehensiveIncomeFromDiscontinuingOperations" xml:lang="en" id="TotalComprehensiveIncomeFromDiscontinuingOperations_documentation_en">Total comprehensive income from discontinuing operations</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalComprehensiveIncomeFromDiscontinuingOperations" xlink:to="label_TotalComprehensiveIncomeFromDiscontinuingOperations" xlink:title="label: TotalComprehensiveIncomeFromDiscontinuingOperations to label_TotalComprehensiveIncomeFromDiscontinuingOperations"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalComprehensiveIncomeFromDiscontinuingOperations" xlink:to="documentation_TotalComprehensiveIncomeFromDiscontinuingOperations" xlink:title="label: TotalComprehensiveIncomeFromDiscontinuingOperations to documentation_TotalComprehensiveIncomeFromDiscontinuingOperations"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_PurchaseOfFinancialInstrumentsClassifiedAsAFinancingActivity" xlink:label="PurchaseOfFinancialInstrumentsClassifiedAsAFinancingActivity" xlink:title="PurchaseOfFinancialInstrumentsClassifiedAsAFinancingActivity"/>
<link:label xlink:type="resource" xlink:label="label_PurchaseOfFinancialInstrumentsClassifiedAsAFinancingActivity" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_PurchaseOfFinancialInstrumentsClassifiedAsAFinancingActivity" xml:lang="en" id="PurchaseOfFinancialInstrumentsClassifiedAsAFinancingActivity_label_en">Purchase of financial instruments, classified as a financing activity</link:label>
<link:label xlink:type="resource" xlink:label="documentation_PurchaseOfFinancialInstrumentsClassifiedAsAFinancingActivity" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_PurchaseOfFinancialInstrumentsClassifiedAsAFinancingActivity" xml:lang="en" id="PurchaseOfFinancialInstrumentsClassifiedAsAFinancingActivity_documentation_en">Purchase of financial instruments, classified as a financing activity</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfFinancialInstrumentsClassifiedAsAFinancingActivity" xlink:to="label_PurchaseOfFinancialInstrumentsClassifiedAsAFinancingActivity" xlink:title="label: PurchaseOfFinancialInstrumentsClassifiedAsAFinancingActivity to label_PurchaseOfFinancialInstrumentsClassifiedAsAFinancingActivity"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfFinancialInstrumentsClassifiedAsAFinancingActivity" xlink:to="documentation_PurchaseOfFinancialInstrumentsClassifiedAsAFinancingActivity" xlink:title="label: PurchaseOfFinancialInstrumentsClassifiedAsAFinancingActivity to documentation_PurchaseOfFinancialInstrumentsClassifiedAsAFinancingActivity"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_ProceedsFromSalesOfFinancialInstrumentsClassifiedAsAFinancingActivity" xlink:label="ProceedsFromSalesOfFinancialInstrumentsClassifiedAsAFinancingActivity" xlink:title="ProceedsFromSalesOfFinancialInstrumentsClassifiedAsAFinancingActivity"/>
<link:label xlink:type="resource" xlink:label="label_ProceedsFromSalesOfFinancialInstrumentsClassifiedAsAFinancingActivity" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ProceedsFromSalesOfFinancialInstrumentsClassifiedAsAFinancingActivity" xml:lang="en" id="ProceedsFromSalesOfFinancialInstrumentsClassifiedAsAFinancingActivity_label_en">Proceeds from sales of financial instruments, classified as a financing activity</link:label>
<link:label xlink:type="resource" xlink:label="documentation_ProceedsFromSalesOfFinancialInstrumentsClassifiedAsAFinancingActivity" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_ProceedsFromSalesOfFinancialInstrumentsClassifiedAsAFinancingActivity" xml:lang="en" id="ProceedsFromSalesOfFinancialInstrumentsClassifiedAsAFinancingActivity_documentation_en">Proceeds from sales of financial instruments, classified as a financing activity</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromSalesOfFinancialInstrumentsClassifiedAsAFinancingActivity" xlink:to="label_ProceedsFromSalesOfFinancialInstrumentsClassifiedAsAFinancingActivity" xlink:title="label: ProceedsFromSalesOfFinancialInstrumentsClassifiedAsAFinancingActivity to label_ProceedsFromSalesOfFinancialInstrumentsClassifiedAsAFinancingActivity"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromSalesOfFinancialInstrumentsClassifiedAsAFinancingActivity" xlink:to="documentation_ProceedsFromSalesOfFinancialInstrumentsClassifiedAsAFinancingActivity" xlink:title="label: ProceedsFromSalesOfFinancialInstrumentsClassifiedAsAFinancingActivity to documentation_ProceedsFromSalesOfFinancialInstrumentsClassifiedAsAFinancingActivity"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_IncreaseInNonControllingInterestDueToCapitalIssue" xlink:label="IncreaseInNonControllingInterestDueToCapitalIssue" xlink:title="IncreaseInNonControllingInterestDueToCapitalIssue"/>
<link:label xlink:type="resource" xlink:label="label_IncreaseInNonControllingInterestDueToCapitalIssue" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_IncreaseInNonControllingInterestDueToCapitalIssue" xml:lang="en" id="IncreaseInNonControllingInterestDueToCapitalIssue_label_en">Increase in non-controlling interest due to capital issue</link:label>
<link:label xlink:type="resource" xlink:label="documentation_IncreaseInNonControllingInterestDueToCapitalIssue" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_IncreaseInNonControllingInterestDueToCapitalIssue" xml:lang="en" id="IncreaseInNonControllingInterestDueToCapitalIssue_documentation_en">Increase in non-controlling interest due to capital issue</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseInNonControllingInterestDueToCapitalIssue" xlink:to="label_IncreaseInNonControllingInterestDueToCapitalIssue" xlink:title="label: IncreaseInNonControllingInterestDueToCapitalIssue to label_IncreaseInNonControllingInterestDueToCapitalIssue"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseInNonControllingInterestDueToCapitalIssue" xlink:to="documentation_IncreaseInNonControllingInterestDueToCapitalIssue" xlink:title="label: IncreaseInNonControllingInterestDueToCapitalIssue to documentation_IncreaseInNonControllingInterestDueToCapitalIssue"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_CorrectionDueToDivertedDividends" xlink:label="CorrectionDueToDivertedDividends" xlink:title="CorrectionDueToDivertedDividends"/>
<link:label xlink:type="resource" xlink:label="label_CorrectionDueToDivertedDividends" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_CorrectionDueToDivertedDividends" xml:lang="en" id="CorrectionDueToDivertedDividends_label_en">Correction due to diverted dividends</link:label>
<link:label xlink:type="resource" xlink:label="documentation_CorrectionDueToDivertedDividends" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_CorrectionDueToDivertedDividends" xml:lang="en" id="CorrectionDueToDivertedDividends_documentation_en">Correction due to diverted dividends</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CorrectionDueToDivertedDividends" xlink:to="label_CorrectionDueToDivertedDividends" xlink:title="label: CorrectionDueToDivertedDividends to label_CorrectionDueToDivertedDividends"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CorrectionDueToDivertedDividends" xlink:to="documentation_CorrectionDueToDivertedDividends" xlink:title="label: CorrectionDueToDivertedDividends to documentation_CorrectionDueToDivertedDividends"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_ComprehensiveIncomeRestated" xlink:label="ComprehensiveIncomeRestated" xlink:title="ComprehensiveIncomeRestated"/>
<link:label xlink:type="resource" xlink:label="label_ComprehensiveIncomeRestated" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ComprehensiveIncomeRestated" xml:lang="en" id="ComprehensiveIncomeRestated_label_en">Comprehensive Income Restated</link:label>
<link:label xlink:type="resource" xlink:label="documentation_ComprehensiveIncomeRestated" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_ComprehensiveIncomeRestated" xml:lang="en" id="ComprehensiveIncomeRestated_documentation_en">Comprehensive Income Restated</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ComprehensiveIncomeRestated" xlink:to="label_ComprehensiveIncomeRestated" xlink:title="label: ComprehensiveIncomeRestated to label_ComprehensiveIncomeRestated"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ComprehensiveIncomeRestated" xlink:to="documentation_ComprehensiveIncomeRestated" xlink:title="label: ComprehensiveIncomeRestated to documentation_ComprehensiveIncomeRestated"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_PurchaseAndSaleOfRealEstateMachineryAndEquipmentClassifiedAsInvestmentActivities" xlink:label="PurchaseAndSaleOfRealEstateMachineryAndEquipmentClassifiedAsInvestmentActivities" xlink:title="PurchaseAndSaleOfRealEstateMachineryAndEquipmentClassifiedAsInvestmentActivities"/>
<link:label xlink:type="resource" xlink:label="label_PurchaseAndSaleOfRealEstateMachineryAndEquipmentClassifiedAsInvestmentActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_PurchaseAndSaleOfRealEstateMachineryAndEquipmentClassifiedAsInvestmentActivities" xml:lang="en" id="PurchaseAndSaleOfRealEstateMachineryAndEquipmentClassifiedAsInvestmentActivities_label_en">Purchase and sale of real estate, machinery and equipment classified as investment activities</link:label>
<link:label xlink:type="resource" xlink:label="documentation_PurchaseAndSaleOfRealEstateMachineryAndEquipmentClassifiedAsInvestmentActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_PurchaseAndSaleOfRealEstateMachineryAndEquipmentClassifiedAsInvestmentActivities" xml:lang="en" id="PurchaseAndSaleOfRealEstateMachineryAndEquipmentClassifiedAsInvestmentActivities_documentation_en">Purchase and sale of real estate, machinery and equipment classified as investment activities</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseAndSaleOfRealEstateMachineryAndEquipmentClassifiedAsInvestmentActivities" xlink:to="label_PurchaseAndSaleOfRealEstateMachineryAndEquipmentClassifiedAsInvestmentActivities" xlink:title="label: PurchaseAndSaleOfRealEstateMachineryAndEquipmentClassifiedAsInvestmentActivities to label_PurchaseAndSaleOfRealEstateMachineryAndEquipmentClassifiedAsInvestmentActivities"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseAndSaleOfRealEstateMachineryAndEquipmentClassifiedAsInvestmentActivities" xlink:to="documentation_PurchaseAndSaleOfRealEstateMachineryAndEquipmentClassifiedAsInvestmentActivities" xlink:title="label: PurchaseAndSaleOfRealEstateMachineryAndEquipmentClassifiedAsInvestmentActivities to documentation_PurchaseAndSaleOfRealEstateMachineryAndEquipmentClassifiedAsInvestmentActivities"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_TransactionsWithOwners" xlink:label="TransactionsWithOwners" xlink:title="TransactionsWithOwners"/>
<link:label xlink:type="resource" xlink:label="label_TransactionsWithOwners" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_TransactionsWithOwners" xml:lang="en" id="TransactionsWithOwners_label_en">Transactions with owners</link:label>
<link:label xlink:type="resource" xlink:label="documentation_TransactionsWithOwners" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_TransactionsWithOwners" xml:lang="en" id="TransactionsWithOwners_documentation_en">Transactions with companies that are controlled or transactions with owners, that have direct impact on Equity.</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TransactionsWithOwners" xlink:to="label_TransactionsWithOwners" xlink:title="label: TransactionsWithOwners to label_TransactionsWithOwners"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TransactionsWithOwners" xlink:to="documentation_TransactionsWithOwners" xlink:title="label: TransactionsWithOwners to documentation_TransactionsWithOwners"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_TransactionsWithOwnersmemberMember" xlink:label="TransactionsWithOwnersmemberMember" xlink:title="TransactionsWithOwnersmemberMember"/>
<link:label xlink:type="resource" xlink:label="label_TransactionsWithOwnersmemberMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_TransactionsWithOwnersmemberMember" xml:lang="en" id="TransactionsWithOwnersmemberMember_label_en">Transactions with owners [Member]</link:label>
<link:label xlink:type="resource" xlink:label="documentation_TransactionsWithOwnersmemberMember" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_TransactionsWithOwnersmemberMember" xml:lang="en" id="TransactionsWithOwnersmemberMember_documentation_en">Transactions with owners [Member]</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TransactionsWithOwnersmemberMember" xlink:to="label_TransactionsWithOwnersmemberMember" xlink:title="label: TransactionsWithOwnersmemberMember to label_TransactionsWithOwnersmemberMember"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TransactionsWithOwnersmemberMember" xlink:to="documentation_TransactionsWithOwnersmemberMember" xlink:title="label: TransactionsWithOwnersmemberMember to documentation_TransactionsWithOwnersmemberMember"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_ChangesInNonControllingInterestsMiklosfaiMgIZrt" xlink:label="ChangesInNonControllingInterestsMiklosfaiMgIZrt" xlink:title="ChangesInNonControllingInterestsMiklosfaiMgIZrt"/>
<link:label xlink:type="resource" xlink:label="label_ChangesInNonControllingInterestsMiklosfaiMgIZrt" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ChangesInNonControllingInterestsMiklosfaiMgIZrt" xml:lang="en" id="ChangesInNonControllingInterestsMiklosfaiMgIZrt_label_en">Changes in non-controlling interests - Miklósfai Mg.-i Zrt.</link:label>
<link:label xlink:type="resource" xlink:label="documentation_ChangesInNonControllingInterestsMiklosfaiMgIZrt" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_ChangesInNonControllingInterestsMiklosfaiMgIZrt" xml:lang="en" id="ChangesInNonControllingInterestsMiklosfaiMgIZrt_documentation_en">Changes in non-controlling interests - Miklósfai Mg.-i Zrt.</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangesInNonControllingInterestsMiklosfaiMgIZrt" xlink:to="label_ChangesInNonControllingInterestsMiklosfaiMgIZrt" xlink:title="label: ChangesInNonControllingInterestsMiklosfaiMgIZrt to label_ChangesInNonControllingInterestsMiklosfaiMgIZrt"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangesInNonControllingInterestsMiklosfaiMgIZrt" xlink:to="documentation_ChangesInNonControllingInterestsMiklosfaiMgIZrt" xlink:title="label: ChangesInNonControllingInterestsMiklosfaiMgIZrt to documentation_ChangesInNonControllingInterestsMiklosfaiMgIZrt"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_ChangesInNonControllingInterestsCentermodul1Kft" xlink:label="ChangesInNonControllingInterestsCentermodul1Kft" xlink:title="ChangesInNonControllingInterestsCentermodul1Kft"/>
<link:label xlink:type="resource" xlink:label="label_ChangesInNonControllingInterestsCentermodul1Kft" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ChangesInNonControllingInterestsCentermodul1Kft" xml:lang="en" id="ChangesInNonControllingInterestsCentermodul1Kft_label_en">Changes in non-controlling interests - Centermodul-1 Kft.</link:label>
<link:label xlink:type="resource" xlink:label="documentation_ChangesInNonControllingInterestsCentermodul1Kft" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_ChangesInNonControllingInterestsCentermodul1Kft" xml:lang="en" id="ChangesInNonControllingInterestsCentermodul1Kft_documentation_en">Changes in non-controlling interests - Centermodul-1 Kft.</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangesInNonControllingInterestsCentermodul1Kft" xlink:to="label_ChangesInNonControllingInterestsCentermodul1Kft" xlink:title="label: ChangesInNonControllingInterestsCentermodul1Kft to label_ChangesInNonControllingInterestsCentermodul1Kft"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangesInNonControllingInterestsCentermodul1Kft" xlink:to="documentation_ChangesInNonControllingInterestsCentermodul1Kft" xlink:title="label: ChangesInNonControllingInterestsCentermodul1Kft to documentation_ChangesInNonControllingInterestsCentermodul1Kft"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_ChangesInNonControllingInterestsMintinvet2005Kft" xlink:label="ChangesInNonControllingInterestsMintinvet2005Kft" xlink:title="ChangesInNonControllingInterestsMintinvet2005Kft"/>
<link:label xlink:type="resource" xlink:label="label_ChangesInNonControllingInterestsMintinvet2005Kft" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ChangesInNonControllingInterestsMintinvet2005Kft" xml:lang="en" id="ChangesInNonControllingInterestsMintinvet2005Kft_label_en">Changes in non-controlling interests - Mintinvet 2005 Kft.</link:label>
<link:label xlink:type="resource" xlink:label="documentation_ChangesInNonControllingInterestsMintinvet2005Kft" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:title="label_ChangesInNonControllingInterestsMintinvet2005Kft" xml:lang="en" id="ChangesInNonControllingInterestsMintinvet2005Kft_documentation_en">Changes in non-controlling interests - Mintinvest 2005 Kft.</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangesInNonControllingInterestsMintinvet2005Kft" xlink:to="label_ChangesInNonControllingInterestsMintinvet2005Kft" xlink:title="label: ChangesInNonControllingInterestsMintinvet2005Kft to label_ChangesInNonControllingInterestsMintinvet2005Kft"/>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangesInNonControllingInterestsMintinvet2005Kft" xlink:to="documentation_ChangesInNonControllingInterestsMintinvet2005Kft" xlink:title="label: ChangesInNonControllingInterestsMintinvet2005Kft to documentation_ChangesInNonControllingInterestsMintinvet2005Kft"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_ProfitLossFromOperatingActivitiesAbstract" xlink:label="ProfitLossFromOperatingActivitiesAbstract" xlink:title="ProfitLossFromOperatingActivitiesAbstract"/>
<link:label xlink:type="resource" xlink:label="label_ProfitLossFromOperatingActivitiesAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ProfitLossFromOperatingActivitiesAbstract" xml:lang="en" id="ProfitLossFromOperatingActivitiesAbstract_label_en">Profit (loss) from operating activities [abstract]</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossFromOperatingActivitiesAbstract" xlink:to="label_ProfitLossFromOperatingActivitiesAbstract" xlink:title="label: ProfitLossFromOperatingActivitiesAbstract to label_ProfitLossFromOperatingActivitiesAbstract"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_ProfitLossBeforeTaxAbstract" xlink:label="ProfitLossBeforeTaxAbstract" xlink:title="ProfitLossBeforeTaxAbstract"/>
<link:label xlink:type="resource" xlink:label="label_ProfitLossBeforeTaxAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ProfitLossBeforeTaxAbstract" xml:lang="en" id="ProfitLossBeforeTaxAbstract_label_en">Profit (loss) before tax [abstract]</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossBeforeTaxAbstract" xlink:to="label_ProfitLossBeforeTaxAbstract" xlink:title="label: ProfitLossBeforeTaxAbstract to label_ProfitLossBeforeTaxAbstract"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_ProfitLossFromContinuingOperationsAbstract" xlink:label="ProfitLossFromContinuingOperationsAbstract" xlink:title="ProfitLossFromContinuingOperationsAbstract"/>
<link:label xlink:type="resource" xlink:label="label_ProfitLossFromContinuingOperationsAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_ProfitLossFromContinuingOperationsAbstract" xml:lang="en" id="ProfitLossFromContinuingOperationsAbstract_label_en">Profit (loss) from continuing operations [abstract]</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProfitLossFromContinuingOperationsAbstract" xlink:to="label_ProfitLossFromContinuingOperationsAbstract" xlink:title="label: ProfitLossFromContinuingOperationsAbstract to label_ProfitLossFromContinuingOperationsAbstract"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_TotalComprehensiveIncomeFromContinuingOperationsAbstract" xlink:label="TotalComprehensiveIncomeFromContinuingOperationsAbstract" xlink:title="TotalComprehensiveIncomeFromContinuingOperationsAbstract"/>
<link:label xlink:type="resource" xlink:label="label_TotalComprehensiveIncomeFromContinuingOperationsAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_TotalComprehensiveIncomeFromContinuingOperationsAbstract" xml:lang="en" id="TotalComprehensiveIncomeFromContinuingOperationsAbstract_label_en">Total comprehensive income from continuing operations [abstract]</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalComprehensiveIncomeFromContinuingOperationsAbstract" xlink:to="label_TotalComprehensiveIncomeFromContinuingOperationsAbstract" xlink:title="label: TotalComprehensiveIncomeFromContinuingOperationsAbstract to label_TotalComprehensiveIncomeFromContinuingOperationsAbstract"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_EquityAttributableToOwnersOfParentAbstract" xlink:label="EquityAttributableToOwnersOfParentAbstract" xlink:title="EquityAttributableToOwnersOfParentAbstract"/>
<link:label xlink:type="resource" xlink:label="label_EquityAttributableToOwnersOfParentAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_EquityAttributableToOwnersOfParentAbstract" xml:lang="en" id="EquityAttributableToOwnersOfParentAbstract_label_en">Equity attributable to owners of parent [abstract]</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EquityAttributableToOwnersOfParentAbstract" xlink:to="label_EquityAttributableToOwnersOfParentAbstract" xlink:title="label: EquityAttributableToOwnersOfParentAbstract to label_EquityAttributableToOwnersOfParentAbstract"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatementAbstract" xlink:label="TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatementAbstract" xlink:title="TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatementAbstract"/>
<link:label xlink:type="resource" xlink:label="label_TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatementAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatementAbstract" xml:lang="en" id="TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatementAbstract_label_en">Total items not involving cash flows accounted for in the income statement [abstract]</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatementAbstract" xlink:to="label_TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatementAbstract" xlink:title="label: TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatementAbstract to label_TotalItemsNotInvolvingCashFlowsAccountedForInTheIncomeStatementAbstract"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_IncreaseDecreaseInWorkingCapitalAbstract" xlink:label="IncreaseDecreaseInWorkingCapitalAbstract" xlink:title="IncreaseDecreaseInWorkingCapitalAbstract"/>
<link:label xlink:type="resource" xlink:label="label_IncreaseDecreaseInWorkingCapitalAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_IncreaseDecreaseInWorkingCapitalAbstract" xml:lang="en" id="IncreaseDecreaseInWorkingCapitalAbstract_label_en">Increase (decrease) in working capital [abstract]</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseInWorkingCapitalAbstract" xlink:to="label_IncreaseDecreaseInWorkingCapitalAbstract" xlink:title="label: IncreaseDecreaseInWorkingCapitalAbstract to label_IncreaseDecreaseInWorkingCapitalAbstract"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" xlink:label="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" xlink:title="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract"/>
<link:label xlink:type="resource" xlink:label="label_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" xml:lang="en" id="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract_label_en">Increase (decrease) in cash and cash equivalents before effect of exchange rate changes [abstract]</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" xlink:to="label_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract" xlink:title="label: IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract to label_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChangesAbstract"/>
<link:loc xlink:type="locator" xlink:href="5299005LX7CTDURCX050-2025-12-31.xsd#forras_IncreaseDecreaseInCashAndCashEquivalentsAbstract" xlink:label="IncreaseDecreaseInCashAndCashEquivalentsAbstract" xlink:title="IncreaseDecreaseInCashAndCashEquivalentsAbstract"/>
<link:label xlink:type="resource" xlink:label="label_IncreaseDecreaseInCashAndCashEquivalentsAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xlink:title="label_IncreaseDecreaseInCashAndCashEquivalentsAbstract" xml:lang="en" id="IncreaseDecreaseInCashAndCashEquivalentsAbstract_label_en">Increase (decrease) in cash and cash equivalents after effect of exchange rate changes [abstract]</link:label>
<link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="IncreaseDecreaseInCashAndCashEquivalentsAbstract" xlink:to="label_IncreaseDecreaseInCashAndCashEquivalentsAbstract" xlink:title="label: IncreaseDecreaseInCashAndCashEquivalentsAbstract to label_IncreaseDecreaseInCashAndCashEquivalentsAbstract"/>
</link:labelLink>
</link:linkbase>